Subject: Re: [PATCH v2 1/1] completion: don't complete revs when --no-format-patch

From: Junio C Hamano <[email-masked]>
Date: Sun, 28 Apr 2024 15:55:17 -0700

Britton Kerin <[email-masked]> writes:

> On Wed, Feb 7, 2024 at 10:57 PM Patrick Steinhardt <[email-masked]> wrote:
>>
>> On Mon, Jan 08, 2024 at 04:08:30PM -0900, Britton Leo Kerin wrote:
>> ...
>> While this second hunk here makes perfect sense to me, there is no
>> explanation why we need to change `__git_find_last_on_cmdline ()`. It's
>> already used with "--guess --no-guess" in another place, so I would
>> think that it ought to work alright for this usecase, too. Or is it that
>> the existing callsite of this function is buggy, too? If so, we should
>> likely fix that in a separate patch together with a test.
>>
>> Also, adding a test for git-send-email that exercises this new behaviour
>> would be very much welcome, too.
>
> I'll look this one over again and add some tests eventually.

It has been a while, but is there any progress on this topic?

Thanks.